package pl.helion.j2mepp.zdalnakamera.dodatkowe;

import java.io.IOException;
import java.io.InputStream;
import javax.microedition.lcdui.Image;
import pl.helion.j2mepp.zdalnakamera.komunikacja.MenedzerObrazow;

public class OdbiorcaObrazTask extends ObrazTask {

    public OdbiorcaObrazTask(MenedzerObrazow m) {
        super(m);
    }
    public void run() {
        try {
            InputStream strumien = this.getMenedzer().getZdjecie();
            Image obraz = Image.createImage(strumien);
            this.getWlasciciel().pokazObraz(obraz);
        } catch (IOException ioe) {
            ioe.printStackTrace();
        }
    }
}
